import { Plugin } from '../../application/Plugin';
export { PluginManager } from './PluginManager';
export type { AllowedActions, IMetaData, TData } from './PluginManager';
export { SettingsCenterDropdown } from '../setting-layout/SettingsCenterDropdown';
export { AdminSettingsLayout, SettingsCenterContext } from '../setting-layout/AdminSettings';
export declare class PMPlugin extends Plugin {
    load(): Promise<void>;
    addSettings(): void;
    addComponents(): void;
    addRoutes(): void;
}
export default PMPlugin;
